/**
 * This is an example React Native app demonstrates ListViews, text input and
 * navigation between a few screens.
 * https://github.com/facebook/react-native
 *
 * @format
 */

import React, {Component} from 'react';
import {StackNavigator} from 'react-navigation';

import HomeScreenTabNavigator from './views/HomeScreenTabNavigator';
import ChatScreen from './views/chat/ChatScreen';

/**
 * Top-level navigator. Renders the application UI.
 */
const App = StackNavigator({
  Home: {
    screen: HomeScreenTabNavigator,
  },
  Chat: {
    screen: ChatScreen,
  },
});

export default App;
